polybori::groebner::TimesConstantImplication Class Reference

`#include <TimesConstantImplication.h>`

## Public Member Functions

template<class PairType >
Polynomial | operator() (const Polynomial &lhs, const PairType &rhs) const

## Detailed Description

This class the product of a polynomial with a simple polynomials given as a pair of a variable and a Boolean constant value.

## Member Function Documentation

template<class PairType >

Polynomial polybori::groebner::TimesConstantImplication::operator() | ( | const Polynomial & | lhs,
|  | const PairType & | rhs
| ) |  | const

inline

References polybori::BoolePolynomial::ring(), and polybori::BoolePolyRing::variable().

The documentation for this class was generated from the following file:

- TimesConstantImplication.h